com.r3corda.node.services.statemachine / StateMachineManager / ProtocolSession

# ProtocolSession

`data class ProtocolSession`

### Constructors

<init> | `ProtocolSession(protocol: ProtocolLogic<*>, otherParty: Party, ourSessionId: Long, otherPartySessionId: Long?, waitingForResponse: Boolean = false)`

### Properties

otherParty | `val otherParty: Party`
otherPartySessionId | `var otherPartySessionId: Long?`
ourSessionId | `val ourSessionId: Long`
protocol | `val protocol: ProtocolLogic<*>`
psm | `val psm: ProtocolStateMachineImpl<*>`
receivedMessages | `val receivedMessages: ConcurrentLinkedQueue<ExistingSessionMessage>`
waitingForResponse | `var waitingForResponse: Boolean`